--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "我的游戏"				-- 文本型	窗口标题
    t.window.width = 800			-- 数值型	宽度
    t.window.height = 600			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------
local function newpar(tu)

	img=创建图像(tu)
	local ps =创建粒子( img, 100 )

  ps:setEmissionRate( 138 )
	ps:setEmitterLifetime( -1 ) -- forever
  ps:setParticleLifetime( 0.47619, 1.03175 )
  ps:setDirection( -1.5708 )
  ps:setSpread( 0.674704 )
	ps:setRelativeRotation( false )
	ps:setSpeed( 300, 300 )
	ps:setLinearAcceleration(0, 428.571,0, 728.571 )
	ps:setRadialAcceleration( -0.793652, -0.793652 )
	ps:setTangentialAcceleration( -0.158731, -0.158731 )
	ps:setSizes( 1.67634, 0.154018 )
  ps:setSizeVariation( 0.444444 )
	ps:setSpin( -50, 8.73016 )
	ps:setSpinVariation( 0.0634921 )
  ps:setColors( 240, 46, 24, 155, 255, 204, 18, 30 )
  return ps
end
--上面的newpar通过工具集->粒子编辑器、Psi2Love生成
------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	
	ps=newpar("particles_16.png")
	ps:start()
	
	--显示两个粒子效果	
	
	psystem = 创建粒子(img, 32);
	psystem:setParticleLifetime(2, 5); -- Particles live at least 2s and at most 5s.
	psystem:setEmissionRate(5);
	psystem:setSizeVariation(1);
	psystem:setLinearAcceleration(-20, -20, 20, 20); -- Random movement in all directions.
	psystem:setColors(255, 255, 255, 255, 255, 255, 255, 0); -- Fade to black.
end
------------------------------------------

function 逻辑更新(dt)
	ps:update(dt)
	psystem:update(dt);
end
------------------------------------------

function 画面显示()
	绘制(ps,400,300)
	
	绘制(psystem, 100, 200);
end
------------------------------------------

function 键盘按下(key)

end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------